/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O3 -mklib -cc gcc-2.95 -fsharing -q -rm -s -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -g -c Llib/process.scm -indent -o objs/obj_s/Llib/process.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>
#include <signal.h>

static obj_t BGl_symbol2331z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2329z00zz__processz00 = BUNSPEC;
static obj_t BGl__processzd2kill1897zd2zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_runzd2processzd2zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__processz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern bool_t c_process_alivep(obj_t);
extern obj_t BGl_debugzd2errorzf2locationz20zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2stopzd2zz__processz00(obj_t);
static obj_t BGl_symbol2314z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2313z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2312z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2311z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2310z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2309z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2299z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2308z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2298z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2307z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2297z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2296z00zz__processz00 = BUNSPEC;
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_symbol2305z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2295z00zz__processz00 = BUNSPEC;
extern obj_t close_output_port(obj_t);
BGL_EXPORTED_DECL bool_t BGl_processzf3zf3zz__processz00(obj_t);
static obj_t BGl_symbol2304z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2294z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2303z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2293z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2302z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2292z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2301z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2300z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2289z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2288z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2287z00zz__processz00 = BUNSPEC;
extern obj_t c_process_wait(obj_t);
BGL_EXPORTED_DECL bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t);
extern obj_t c_process_continue(obj_t);
static obj_t BGl__processzd2errorzd2port1887z00zz__processz00(obj_t, obj_t);
static obj_t BGl__processzd2wait1891zd2zz__processz00(obj_t, obj_t);
extern obj_t c_process_send_signal(obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_processzd2continuezd2zz__processz00(obj_t);
static obj_t BGl__processzf3zf3zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t, int);
static obj_t BGl_list2315z00zz__processz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__processz00();
BGL_EXPORTED_DECL bool_t BGl_processzd2waitzd2zz__processz00(obj_t);
static obj_t BGl__processzd2outputzd2port1883z00zz__processz00(obj_t, obj_t);
static obj_t BGl__processzd2inputzd2port1885z00zz__processz00(obj_t, obj_t);
static obj_t BGl__processzd2listzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t);
extern obj_t string_to_symbol(char *);
extern obj_t c_process_stop(obj_t);
extern obj_t close_input_port(obj_t);
static obj_t BGl__processzd2alivezf31889z21zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t);
static obj_t BGl__processzd2pid1881zd2zz__processz00(obj_t, obj_t);
extern obj_t c_run_process(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_keyword2316z00zz__processz00 = BUNSPEC;
static obj_t BGl__processzd2continue1901zd2zz__processz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__processz00();
static obj_t BGl_keyword2319z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2322z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2323z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2324z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2325z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2326z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2327z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2328z00zz__processz00 = BUNSPEC;
static obj_t BGl__unregisterzd2process1908zd2zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t c_process_list();
extern obj_t c_process_xstatus(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__processzd2stop1899zd2zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2killzd2zz__processz00(obj_t);
extern obj_t BGl_errorzf2czd2locationz20zz__errorz00(obj_t, obj_t, obj_t, char *, long);
extern obj_t c_process_kill(obj_t);
static obj_t BGl__processzd2sendzd2signal1895z00zz__processz00(obj_t, obj_t, obj_t);
static obj_t BGl__processzd2exitzd2status1893z00zz__processz00(obj_t, obj_t);
static obj_t BGl__runzd2process1904zd2zz__processz00(obj_t, obj_t, obj_t);
extern obj_t string_to_keyword(char *);
extern bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t c_unregister_process(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2listzd2zz__processz00();
BGL_EXPORTED_DECL int BGl_processzd2pidzd2zz__processz00(obj_t);
static obj_t BGl__closezd2processzd2ports1906z00zz__processz00(obj_t, obj_t);
static obj_t BGl_symbol2337z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2336z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2335z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2334z00zz__processz00 = BUNSPEC;
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_processzd2pidzd2envz00zz__processz00, BgL_bgl__processza7d2pid1881za7d2za7za7__processza7002348za7, BGl__processzd2pid1881zd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2killzd2envz00zz__processz00, BgL_bgl__processza7d2kill1897za7d2za7za7__processza7002349za7, BGl__processzd2kill1897zd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2errorzd2portzd2envzd2zz__processz00, BgL_bgl__processza7d2errorza7d2port1887za700za7za7__processza7002350z00, BGl__processzd2errorzd2port1887z00zz__processz00, 0L, 1 );
DEFINE_STRING( BGl_string2333z00zz__processz00, BgL_bgl_string2333za700za7za7__processza7002351z00, "input-port", 10 );
DEFINE_STRING( BGl_string2332z00zz__processz00, BgL_bgl_string2332za700za7za7__processza7002352z00, "output-port", 11 );
DEFINE_STRING( BGl_string2330z00zz__processz00, BgL_bgl_string2330za700za7za7__processza7002353z00, "bstring", 7 );
DEFINE_STRING( BGl_string2321z00zz__processz00, BgL_bgl_string2321za700za7za7__processza7002354z00, "Illegal argument", 16 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2sendzd2signalzd2envzd2zz__processz00, BgL_bgl__processza7d2sendza7d2signal1895za700za7za7__processza7002355z00, BGl__processzd2sendzd2signal1895z00zz__processz00, 0L, 2 );
DEFINE_STRING( BGl_string2320z00zz__processz00, BgL_bgl_string2320za700za7za7__processza7002356z00, "run-process", 11 );
DEFINE_STRING( BGl_string2318z00zz__processz00, BgL_bgl_string2318za700za7za7__processza7002357z00, "pair", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2exitzd2statuszd2envzd2zz__processz00, BgL_bgl__processza7d2exitza7d2status1893za700za7za7__processza7002358z00, BGl__processzd2exitzd2status1893z00zz__processz00, 0L, 1 );
DEFINE_STRING( BGl_string2317z00zz__processz00, BgL_bgl_string2317za700za7za7__processza7002359z00, "pair-nil", 8 );
DEFINE_STRING( BGl_string2306z00zz__processz00, BgL_bgl_string2306za700za7za7__processza7002360z00, "int", 3 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2alivezf3zd2envzf3zz__processz00, BgL_bgl__processza7d2aliveza7f31889za721za7za7__processza7002361z00, BGl__processzd2alivezf31889z21zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2listzd2envz00zz__processz00, BgL_bgl__processza7d2listza7d2za7za7__processza7002362za7, BGl__processzd2listzd2zz__processz00, 0L, 0 );
DEFINE_STRING( BGl_string2291z00zz__processz00, BgL_bgl_string2291za700za7za7__processza7002363z00, "/tmp/bigloo/runtime/./Llib/process.scm", 38 );
DEFINE_STRING( BGl_string2290z00zz__processz00, BgL_bgl_string2290za700za7za7__processza7002364z00, "process", 7 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2continuezd2envz00zz__processz00, BgL_bgl__processza7d2continue1901za7d2za7za7__processza7002365za7, BGl__processzd2continue1901zd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzf3zd2envz21zz__processz00, BgL_bgl__processza7f3za7f3za7za7__processza7002366za7, BGl__processzf3zf3zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2waitzd2envz00zz__processz00, BgL_bgl__processza7d2wait1891za7d2za7za7__processza7002367za7, BGl__processzd2wait1891zd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2outputzd2portzd2envzd2zz__processz00, BgL_bgl__processza7d2outputza7d2port1883za700za7za7__processza7002368z00, BGl__processzd2outputzd2port1883z00zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_closezd2processzd2portszd2envzd2zz__processz00, BgL_bgl__closeza7d2processza7d2ports1906za700za7za7__processza7002369z00, BGl__closezd2processzd2ports1906z00zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_unregisterzd2processzd2envz00zz__processz00, BgL_bgl__unregisterza7d2process1908za7d2za7za7__processza7002370za7, BGl__unregisterzd2process1908zd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2stopzd2envz00zz__processz00, BgL_bgl__processza7d2stop1899za7d2za7za7__processza7002371za7, BGl__processzd2stop1899zd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2inputzd2portzd2envzd2zz__processz00, BgL_bgl__processza7d2inputza7d2port1885za700za7za7__processza7002372z00, BGl__processzd2inputzd2port1885z00zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_runzd2processzd2envz00zz__processz00, BgL_bgl__runza7d2process1904za7d2za7za7__processza7002373za7, va_generic_entry, BGl__runzd2process1904zd2zz__processz00, -2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__processz00(long BgL_checksumz00_865, char * BgL_fromz00_866)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__processz00))
{ 
BGl_requirezd2initializa7ationz75zz__processz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__processz00(); 
BGl_importedzd2moduleszd2initz00zz__processz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__processz00()
{ AN_OBJECT;
{ /* ./Llib/process.scm 15 */
BGl_symbol2287z00zz__processz00 = 
string_to_symbol("process?"); 
BGl_symbol2288z00zz__processz00 = 
string_to_symbol("process-pid"); 
BGl_symbol2289z00zz__processz00 = 
string_to_symbol("_process-pid1881"); 
BGl_symbol2292z00zz__processz00 = 
string_to_symbol("process-output-port"); 
BGl_symbol2293z00zz__processz00 = 
string_to_symbol("_process-output-port1883"); 
BGl_symbol2294z00zz__processz00 = 
string_to_symbol("process-input-port"); 
BGl_symbol2295z00zz__processz00 = 
string_to_symbol("_process-input-port1885"); 
BGl_symbol2296z00zz__processz00 = 
string_to_symbol("process-error-port"); 
BGl_symbol2297z00zz__processz00 = 
string_to_symbol("_process-error-port1887"); 
BGl_symbol2298z00zz__processz00 = 
string_to_symbol("process-alive?"); 
BGl_symbol2299z00zz__processz00 = 
string_to_symbol("_process-alive?1889"); 
BGl_symbol2300z00zz__processz00 = 
string_to_symbol("process-wait"); 
BGl_symbol2301z00zz__processz00 = 
string_to_symbol("_process-wait1891"); 
BGl_symbol2302z00zz__processz00 = 
string_to_symbol("process-exit-status"); 
BGl_symbol2303z00zz__processz00 = 
string_to_symbol("_process-exit-status1893"); 
BGl_symbol2304z00zz__processz00 = 
string_to_symbol("process-send-signal"); 
BGl_symbol2305z00zz__processz00 = 
string_to_symbol("_process-send-signal1895"); 
BGl_symbol2307z00zz__processz00 = 
string_to_symbol("process-kill"); 
BGl_symbol2308z00zz__processz00 = 
string_to_symbol("_process-kill1897"); 
BGl_symbol2309z00zz__processz00 = 
string_to_symbol("process-stop"); 
BGl_symbol2310z00zz__processz00 = 
string_to_symbol("_process-stop1899"); 
BGl_symbol2311z00zz__processz00 = 
string_to_symbol("process-continue"); 
BGl_symbol2312z00zz__processz00 = 
string_to_symbol("_process-continue1901"); 
BGl_symbol2313z00zz__processz00 = 
string_to_symbol("process-list"); 
BGl_symbol2314z00zz__processz00 = 
string_to_symbol("run-process"); 
BGl_keyword2316z00zz__processz00 = 
string_to_keyword("pipe:"); 
BGl_list2315z00zz__processz00 = 
MAKE_PAIR(BGl_keyword2316z00zz__processz00, BNIL); 
BGl_keyword2319z00zz__processz00 = 
string_to_keyword("wait:"); 
BGl_keyword2322z00zz__processz00 = 
string_to_keyword("fork:"); 
BGl_keyword2323z00zz__processz00 = 
string_to_keyword("input:"); 
BGl_keyword2324z00zz__processz00 = 
string_to_keyword("output:"); 
BGl_keyword2325z00zz__processz00 = 
string_to_keyword("null:"); 
BGl_keyword2326z00zz__processz00 = 
string_to_keyword("error:"); 
BGl_keyword2327z00zz__processz00 = 
string_to_keyword("host:"); 
BGl_keyword2328z00zz__processz00 = 
string_to_keyword("env:"); 
BGl_symbol2329z00zz__processz00 = 
string_to_symbol("_run-process1904"); 
BGl_symbol2331z00zz__processz00 = 
string_to_symbol("close-process-ports"); 
BGl_symbol2334z00zz__processz00 = 
string_to_symbol("_close-process-ports1906"); 
BGl_symbol2335z00zz__processz00 = 
string_to_symbol("unregister-process"); 
BGl_symbol2336z00zz__processz00 = 
string_to_symbol("_unregister-process1908"); 
return ( 
BGl_symbol2337z00zz__processz00 = 
string_to_symbol("%import@__process"), BUNSPEC) ;} 
}



/* process? */
BGL_EXPORTED_DEF bool_t BGl_processzf3zf3zz__processz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Llib/process.scm 114 */
{ /* ./Llib/process.scm 115 */
obj_t BgL_symbol1804z00_786;
BgL_symbol1804z00_786 = BGl_symbol2287z00zz__processz00; 
{ /* ./Llib/process.scm 115 */

PUSH_TRACE(BgL_symbol1804z00_786); BUNSPEC; 
{ /* ./Llib/process.scm 115 */
bool_t BgL_aux1803z00_787;
BgL_aux1803z00_787 = 
PROCESSP(BgL_objz00_1); 
POP_TRACE(); 
return BgL_aux1803z00_787;} } } } 
}



/* _process? */
obj_t BGl__processzf3zf3zz__processz00(obj_t BgL_envz00_693, obj_t BgL_objz00_694)
{ AN_OBJECT;
{ /* ./Llib/process.scm 114 */
{ /* ./Llib/process.scm 115 */
bool_t BgL_auxz00_916;
{ /* ./Llib/process.scm 115 */
bool_t BgL_res2338z00_791;
{ /* ./Llib/process.scm 115 */
obj_t BgL_symbol1804z00_789;
BgL_symbol1804z00_789 = BGl_symbol2287z00zz__processz00; 
{ /* ./Llib/process.scm 115 */

PUSH_TRACE(BgL_symbol1804z00_789); BUNSPEC; 
{ /* ./Llib/process.scm 115 */
bool_t BgL_aux1803z00_790;
BgL_aux1803z00_790 = 
PROCESSP(BgL_objz00_694); 
POP_TRACE(); 
BgL_res2338z00_791 = BgL_aux1803z00_790; } } } 
BgL_auxz00_916 = BgL_res2338z00_791; } 
return 
BBOOL(BgL_auxz00_916);} } 
}



/* process-pid */
BGL_EXPORTED_DEF int BGl_processzd2pidzd2zz__processz00(obj_t BgL_procz00_2)
{ AN_OBJECT;
{ /* ./Llib/process.scm 120 */
{ /* ./Llib/process.scm 121 */
obj_t BgL_symbol1808z00_792;
BgL_symbol1808z00_792 = BGl_symbol2288z00zz__processz00; 
{ /* ./Llib/process.scm 121 */

PUSH_TRACE(BgL_symbol1808z00_792); BUNSPEC; 
{ /* ./Llib/process.scm 121 */
int BgL_aux1807z00_793;
BgL_aux1807z00_793 = 
PROCESS_PID(BgL_procz00_2); 
POP_TRACE(); 
return BgL_aux1807z00_793;} } } } 
}



/* _process-pid1881 */
obj_t BGl__processzd2pid1881zd2zz__processz00(obj_t BgL_envz00_695, obj_t BgL_procz00_696)
{ AN_OBJECT;
{ /* ./Llib/process.scm 120 */
{ /* ./Llib/process.scm 121 */
int BgL_auxz00_924;
{ /* ./Llib/process.scm 121 */
int BgL_res2339z00_797;
{ /* ./Llib/process.scm 121 */
obj_t BgL_procz00_794;
if(
PROCESSP(BgL_procz00_696))
{ /* ./Llib/process.scm 121 */
BgL_procz00_794 = BgL_procz00_696; }  else 
{ /* ./Llib/process.scm 121 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2289z00zz__processz00, BGl_string2290z00zz__processz00, BgL_procz00_696, BGl_string2291z00zz__processz00, 
BINT(((long)5214))); 
exit( -1 );} 
{ /* ./Llib/process.scm 121 */
obj_t BgL_symbol1808z00_795;
BgL_symbol1808z00_795 = BGl_symbol2288z00zz__processz00; 
{ /* ./Llib/process.scm 121 */

PUSH_TRACE(BgL_symbol1808z00_795); BUNSPEC; 
{ /* ./Llib/process.scm 121 */
int BgL_aux1807z00_796;
BgL_aux1807z00_796 = 
PROCESS_PID(BgL_procz00_794); 
POP_TRACE(); 
BgL_res2339z00_797 = BgL_aux1807z00_796; } } } } 
BgL_auxz00_924 = BgL_res2339z00_797; } 
return 
BINT(BgL_auxz00_924);} } 
}



/* process-output-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t BgL_procz00_3)
{ AN_OBJECT;
{ /* ./Llib/process.scm 126 */
{ /* ./Llib/process.scm 127 */
obj_t BgL_symbol1812z00_798;
BgL_symbol1812z00_798 = BGl_symbol2292z00zz__processz00; 
{ /* ./Llib/process.scm 127 */

PUSH_TRACE(BgL_symbol1812z00_798); BUNSPEC; 
{ /* ./Llib/process.scm 127 */
obj_t BgL_aux1811z00_799;
BgL_aux1811z00_799 = 
PROCESS_OUTPUT_PORT(BgL_procz00_3); 
POP_TRACE(); 
return BgL_aux1811z00_799;} } } } 
}



/* _process-output-port1883 */
obj_t BGl__processzd2outputzd2port1883z00zz__processz00(obj_t BgL_envz00_697, obj_t BgL_procz00_698)
{ AN_OBJECT;
{ /* ./Llib/process.scm 126 */
{ /* ./Llib/process.scm 127 */
obj_t BgL_procz00_800;
if(
PROCESSP(BgL_procz00_698))
{ /* ./Llib/process.scm 127 */
BgL_procz00_800 = BgL_procz00_698; }  else 
{ /* ./Llib/process.scm 127 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2293z00zz__processz00, BGl_string2290z00zz__processz00, BgL_procz00_698, BGl_string2291z00zz__processz00, 
BINT(((long)5504))); 
exit( -1 );} 
{ /* ./Llib/process.scm 127 */
obj_t BgL_symbol1812z00_801;
BgL_symbol1812z00_801 = BGl_symbol2292z00zz__processz00; 
{ /* ./Llib/process.scm 127 */

PUSH_TRACE(BgL_symbol1812z00_801); BUNSPEC; 
{ /* ./Llib/process.scm 127 */
obj_t BgL_aux1811z00_802;
BgL_aux1811z00_802 = 
PROCESS_OUTPUT_PORT(BgL_procz00_800); 
POP_TRACE(); 
return BgL_aux1811z00_802;} } } } } 
}



/* process-input-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t BgL_procz00_4)
{ AN_OBJECT;
{ /* ./Llib/process.scm 132 */
{ /* ./Llib/process.scm 133 */
obj_t BgL_symbol1816z00_803;
BgL_symbol1816z00_803 = BGl_symbol2294z00zz__processz00; 
{ /* ./Llib/process.scm 133 */

PUSH_TRACE(BgL_symbol1816z00_803); BUNSPEC; 
{ /* ./Llib/process.scm 133 */
obj_t BgL_aux1815z00_804;
BgL_aux1815z00_804 = 
PROCESS_INPUT_PORT(BgL_procz00_4); 
POP_TRACE(); 
return BgL_aux1815z00_804;} } } } 
}



/* _process-input-port1885 */
obj_t BGl__processzd2inputzd2port1885z00zz__processz00(obj_t BgL_envz00_699, obj_t BgL_procz00_700)
{ AN_OBJECT;
{ /* ./Llib/process.scm 132 */
{ /* ./Llib/process.scm 133 */
obj_t BgL_procz00_805;
if(
PROCESSP(BgL_procz00_700))
{ /* ./Llib/process.scm 133 */
BgL_procz00_805 = BgL_procz00_700; }  else 
{ /* ./Llib/process.scm 133 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2295z00zz__processz00, BGl_string2290z00zz__processz00, BgL_procz00_700, BGl_string2291z00zz__processz00, 
BINT(((long)5801))); 
exit( -1 );} 
{ /* ./Llib/process.scm 133 */
obj_t BgL_symbol1816z00_806;
BgL_symbol1816z00_806 = BGl_symbol2294z00zz__processz00; 
{ /* ./Llib/process.scm 133 */

PUSH_TRACE(BgL_symbol1816z00_806); BUNSPEC; 
{ /* ./Llib/process.scm 133 */
obj_t BgL_aux1815z00_807;
BgL_aux1815z00_807 = 
PROCESS_INPUT_PORT(BgL_procz00_805); 
POP_TRACE(); 
return BgL_aux1815z00_807;} } } } } 
}



/* process-error-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t BgL_procz00_5)
{ AN_OBJECT;
{ /* ./Llib/process.scm 138 */
{ /* ./Llib/process.scm 139 */
obj_t BgL_symbol1820z00_808;
BgL_symbol1820z00_808 = BGl_symbol2296z00zz__processz00; 
{ /* ./Llib/process.scm 139 */

PUSH_TRACE(BgL_symbol1820z00_808); BUNSPEC; 
{ /* ./Llib/process.scm 139 */
obj_t BgL_aux1819z00_809;
BgL_aux1819z00_809 = 
PROCESS_ERROR_PORT(BgL_procz00_5); 
POP_TRACE(); 
return BgL_aux1819z00_809;} } } } 
}



/* _process-error-port1887 */
obj_t BGl__processzd2errorzd2port1887z00zz__processz00(obj_t BgL_envz00_701, obj_t BgL_procz00_702)
{ AN_OBJECT;
{ /* ./Llib/process.scm 138 */
{ /* ./Llib/process.scm 139 */
obj_t BgL_procz00_810;
if(
PROCESSP(BgL_procz00_702))
{ /* ./Llib/process.scm 139 */
BgL_procz00_810 = BgL_procz00_702; }  else 
{ /* ./Llib/process.scm 139 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2297z00zz__processz00, BGl_string2290z00zz__processz00, BgL_procz00_702, BGl_string2291z00zz__processz00, 
BINT(((long)6097))); 
exit( -1 );} 
{ /* ./Llib/process.scm 139 */
obj_t BgL_symbol1820z00_811;
BgL_symbol1820z00_811 = BGl_symbol2296z00zz__processz00; 
{ /* ./Llib/process.scm 139 */

PUSH_TRACE(BgL_symbol1820z00_811); BUNSPEC; 
{ /* ./Llib/process.scm 139 */
obj_t BgL_aux1819z00_812;
BgL_aux1819z00_812 = 
PROCESS_ERROR_PORT(BgL_procz00_810); 
POP_TRACE(); 
return BgL_aux1819z00_812;} } } } } 
}



/* process-alive? */
BGL_EXPORTED_DEF bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t BgL_procz00_6)
{ AN_OBJECT;
{ /* ./Llib/process.scm 144 */
{ /* ./Llib/process.scm 145 */
obj_t BgL_symbol1824z00_813;
BgL_symbol1824z00_813 = BGl_symbol2298z00zz__processz00; 
{ /* ./Llib/process.scm 145 */

PUSH_TRACE(BgL_symbol1824z00_813); BUNSPEC; 
{ /* ./Llib/process.scm 145 */
bool_t BgL_aux1823z00_814;
BgL_aux1823z00_814 = 
c_process_alivep(BgL_procz00_6); 
POP_TRACE(); 
return BgL_aux1823z00_814;} } } } 
}



/* _process-alive?1889 */
obj_t BGl__processzd2alivezf31889z21zz__processz00(obj_t BgL_envz00_703, obj_t BgL_procz00_704)
{ AN_OBJECT;
{ /* ./Llib/process.scm 144 */
{ /* ./Llib/process.scm 145 */
bool_t BgL_auxz00_970;
{ /* ./Llib/process.scm 145 */
bool_t BgL_res2340z00_818;
{ /* ./Llib/process.scm 145 */
obj_t BgL_procz00_815;
if(
PROCESSP(BgL_procz00_704))
{ /* ./Llib/process.scm 145 */
BgL_procz00_815 = BgL_procz00_704; }  else 
{ /* ./Llib/process.scm 145 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2299z00zz__processz00, BGl_string2290z00zz__processz00, BgL_procz00_704, BGl_string2291z00zz__processz00, 
BINT(((long)6389))); 
exit( -1 );} 
{ /* ./Llib/process.scm 145 */
obj_t BgL_symbol1824z00_816;
BgL_symbol1824z00_816 = BGl_symbol2298z00zz__processz00; 
{ /* ./Llib/process.scm 145 */

PUSH_TRACE(BgL_symbol1824z00_816); BUNSPEC; 
{ /* ./Llib/process.scm 145 */
bool_t BgL_aux1823z00_817;
BgL_aux1823z00_817 = 
c_process_alivep(BgL_procz00_815); 
POP_TRACE(); 
BgL_res2340z00_818 = BgL_aux1823z00_817; } } } } 
BgL_auxz00_970 = BgL_res2340z00_818; } 
return 
BBOOL(BgL_auxz00_970);} } 
}



/* process-wait */
BGL_EXPORTED_DEF bool_t BGl_processzd2waitzd2zz__processz00(obj_t BgL_procz00_7)
{ AN_OBJECT;
{ /* ./Llib/process.scm 150 */
{ /* ./Llib/process.scm 151 */
obj_t BgL_symbol1828z00_819;
BgL_symbol1828z00_819 = BGl_symbol2300z00zz__processz00; 
{ /* ./Llib/process.scm 151 */

PUSH_TRACE(BgL_symbol1828z00_819); BUNSPEC; 
{ /* ./Llib/process.scm 151 */
bool_t BgL_aux1827z00_820;
if(
c_process_alivep(BgL_procz00_7))
{ /* ./Llib/process.scm 151 */
obj_t BgL_auxz00_983;
BgL_auxz00_983 = 
c_process_wait(BgL_procz00_7); 
BgL_aux1827z00_820 = 
CBOOL(BgL_auxz00_983); }  else 
{ /* ./Llib/process.scm 151 */
BgL_aux1827z00_820 = ((bool_t)0); } 
POP_TRACE(); 
return BgL_aux1827z00_820;} } } } 
}



/* _process-wait1891 */
obj_t BGl__processzd2wait1891zd2zz__processz00(obj_t BgL_envz00_705, obj_t BgL_procz00_706)
{ AN_OBJECT;
{ /* ./Llib/process.scm 150 */
{ /* ./Llib/process.scm 151 */
bool_t BgL_auxz00_987;
{ /* ./Llib/process.scm 151 */
bool_t BgL_res2341z00_824;
{ /* ./Llib/process.scm 151 */
obj_t BgL_procz00_821;
if(
PROCESSP(BgL_procz00_706))
{ /* ./Llib/process.scm 151 */
BgL_procz00_821 = BgL_procz00_706; }  else 
{ /* ./Llib/process.scm 151 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2301z00zz__processz00, BGl_string2290z00zz__processz00, BgL_procz00_706, BGl_string2291z00zz__processz00, 
BINT(((long)6675))); 
exit( -1 );} 
{ /* ./Llib/process.scm 151 */
obj_t BgL_symbol1828z00_822;
BgL_symbol1828z00_822 = BGl_symbol2300z00zz__processz00; 
{ /* ./Llib/process.scm 151 */

PUSH_TRACE(BgL_symbol1828z00_822); BUNSPEC; 
{ /* ./Llib/process.scm 151 */
bool_t BgL_aux1827z00_823;
if(
c_process_alivep(BgL_procz00_821))
{ /* ./Llib/process.scm 151 */
obj_t BgL_auxz00_996;
BgL_auxz00_996 = 
c_process_wait(BgL_procz00_821); 
BgL_aux1827z00_823 = 
CBOOL(BgL_auxz00_996); }  else 
{ /* ./Llib/process.scm 151 */
BgL_aux1827z00_823 = ((bool_t)0); } 
POP_TRACE(); 
BgL_res2341z00_824 = BgL_aux1827z00_823; } } } } 
BgL_auxz00_987 = BgL_res2341z00_824; } 
return 
BBOOL(BgL_auxz00_987);} } 
}



/* process-exit-status */
BGL_EXPORTED_DEF obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t BgL_procz00_8)
{ AN_OBJECT;
{ /* ./Llib/process.scm 157 */
{ /* ./Llib/process.scm 158 */
obj_t BgL_symbol1832z00_825;
BgL_symbol1832z00_825 = BGl_symbol2302z00zz__processz00; 
{ /* ./Llib/process.scm 158 */

PUSH_TRACE(BgL_symbol1832z00_825); BUNSPEC; 
{ /* ./Llib/process.scm 158 */
obj_t BgL_aux1831z00_826;
BgL_aux1831z00_826 = 
c_process_xstatus(BgL_procz00_8); 
POP_TRACE(); 
return BgL_aux1831z00_826;} } } } 
}



/* _process-exit-status1893 */
obj_t BGl__processzd2exitzd2status1893z00zz__processz00(obj_t BgL_envz00_707, obj_t BgL_procz00_708)
{ AN_OBJECT;
{ /* ./Llib/process.scm 157 */
{ /* ./Llib/process.scm 158 */
obj_t BgL_procz00_827;
if(
PROCESSP(BgL_procz00_708))
{ /* ./Llib/process.scm 158 */
BgL_procz00_827 = BgL_procz00_708; }  else 
{ /* ./Llib/process.scm 158 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2303z00zz__processz00, BGl_string2290z00zz__processz00, BgL_procz00_708, BGl_string2291z00zz__processz00, 
BINT(((long)7000))); 
exit( -1 );} 
{ /* ./Llib/process.scm 158 */
obj_t BgL_symbol1832z00_828;
BgL_symbol1832z00_828 = BGl_symbol2302z00zz__processz00; 
{ /* ./Llib/process.scm 158 */

PUSH_TRACE(BgL_symbol1832z00_828); BUNSPEC; 
{ /* ./Llib/process.scm 158 */
obj_t BgL_aux1831z00_829;
BgL_aux1831z00_829 = 
c_process_xstatus(BgL_procz00_827); 
POP_TRACE(); 
return BgL_aux1831z00_829;} } } } } 
}



/* process-send-signal */
BGL_EXPORTED_DEF obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t BgL_procz00_9, int BgL_signalz00_10)
{ AN_OBJECT;
{ /* ./Llib/process.scm 163 */
{ /* ./Llib/process.scm 164 */
obj_t BgL_symbol1836z00_830;
BgL_symbol1836z00_830 = BGl_symbol2304z00zz__processz00; 
{ /* ./Llib/process.scm 164 */

PUSH_TRACE(BgL_symbol1836z00_830); BUNSPEC; 
{ /* ./Llib/process.scm 164 */
obj_t BgL_aux1835z00_831;
BgL_aux1835z00_831 = 
c_process_send_signal(BgL_procz00_9, BgL_signalz00_10); 
POP_TRACE(); 
return BgL_aux1835z00_831;} } } } 
}



/* _process-send-signal1895 */
obj_t BGl__processzd2sendzd2signal1895z00zz__processz00(obj_t BgL_envz00_709, obj_t BgL_procz00_710, obj_t BgL_signalz00_711)
{ AN_OBJECT;
{ /* ./Llib/process.scm 163 */
{ /* ./Llib/process.scm 164 */
obj_t BgL_procz00_832;int BgL_signalz00_833;
if(
PROCESSP(BgL_procz00_710))
{ /* ./Llib/process.scm 164 */
BgL_procz00_832 = BgL_procz00_710; }  else 
{ /* ./Llib/process.scm 164 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2305z00zz__processz00, BGl_string2290z00zz__processz00, BgL_procz00_710, BGl_string2291z00zz__processz00, 
BINT(((long)7305))); 
exit( -1 );} 
{ /* ./Llib/process.scm 164 */
obj_t BgL_auxz00_1020;
if(
INTEGERP(BgL_signalz00_711))
{ /* ./Llib/process.scm 164 */
BgL_auxz00_1020 = BgL_signalz00_711
; }  else 
{ /* ./Llib/process.scm 164 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2305z00zz__processz00, BGl_string2306z00zz__processz00, BgL_signalz00_711, BGl_string2291z00zz__processz00, 
BINT(((long)7305))); 
exit( -1 );} 
BgL_signalz00_833 = 
CINT(BgL_auxz00_1020); } 
{ /* ./Llib/process.scm 164 */
obj_t BgL_symbol1836z00_834;
BgL_symbol1836z00_834 = BGl_symbol2304z00zz__processz00; 
{ /* ./Llib/process.scm 164 */

PUSH_TRACE(BgL_symbol1836z00_834); BUNSPEC; 
{ /* ./Llib/process.scm 164 */
obj_t BgL_aux1835z00_835;
BgL_aux1835z00_835 = 
c_process_send_signal(BgL_procz00_832, BgL_signalz00_833); 
POP_TRACE(); 
return BgL_aux1835z00_835;} } } } } 
}



/* process-kill */
BGL_EXPORTED_DEF obj_t BGl_processzd2killzd2zz__processz00(obj_t BgL_procz00_11)
{ AN_OBJECT;
{ /* ./Llib/process.scm 169 */
{ /* ./Llib/process.scm 170 */
obj_t BgL_symbol1840z00_836;
BgL_symbol1840z00_836 = BGl_symbol2307z00zz__processz00; 
{ /* ./Llib/process.scm 170 */

PUSH_TRACE(BgL_symbol1840z00_836); BUNSPEC; 
{ /* ./Llib/process.scm 170 */
obj_t BgL_aux1839z00_837;
c_process_kill(BgL_procz00_11); 
BgL_aux1839z00_837 = 
BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_11); 
POP_TRACE(); 
return BgL_aux1839z00_837;} } } } 
}



/* _process-kill1897 */
obj_t BGl__processzd2kill1897zd2zz__processz00(obj_t BgL_envz00_712, obj_t BgL_procz00_713)
{ AN_OBJECT;
{ /* ./Llib/process.scm 169 */
{ /* ./Llib/process.scm 170 */
obj_t BgL_procz00_838;
if(
PROCESSP(BgL_procz00_713))
{ /* ./Llib/process.scm 170 */
BgL_procz00_838 = BgL_procz00_713; }  else 
{ /* ./Llib/process.scm 170 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2308z00zz__processz00, BGl_string2290z00zz__processz00, BgL_procz00_713, BGl_string2291z00zz__processz00, 
BINT(((long)7603))); 
exit( -1 );} 
{ /* ./Llib/process.scm 170 */
obj_t BgL_symbol1840z00_839;
BgL_symbol1840z00_839 = BGl_symbol2307z00zz__processz00; 
{ /* ./Llib/process.scm 170 */

PUSH_TRACE(BgL_symbol1840z00_839); BUNSPEC; 
{ /* ./Llib/process.scm 170 */
obj_t BgL_aux1839z00_840;
c_process_kill(BgL_procz00_838); 
BgL_aux1839z00_840 = 
BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_838); 
POP_TRACE(); 
return BgL_aux1839z00_840;} } } } } 
}



/* process-stop */
BGL_EXPORTED_DEF obj_t BGl_processzd2stopzd2zz__processz00(obj_t BgL_procz00_12)
{ AN_OBJECT;
{ /* ./Llib/process.scm 176 */
{ /* ./Llib/process.scm 177 */
obj_t BgL_symbol1844z00_841;
BgL_symbol1844z00_841 = BGl_symbol2309z00zz__processz00; 
{ /* ./Llib/process.scm 177 */

PUSH_TRACE(BgL_symbol1844z00_841); BUNSPEC; 
{ /* ./Llib/process.scm 177 */
obj_t BgL_aux1843z00_842;
BgL_aux1843z00_842 = 
c_process_stop(BgL_procz00_12); 
POP_TRACE(); 
return BgL_aux1843z00_842;} } } } 
}



/* _process-stop1899 */
obj_t BGl__processzd2stop1899zd2zz__processz00(obj_t BgL_envz00_714, obj_t BgL_procz00_715)
{ AN_OBJECT;
{ /* ./Llib/process.scm 176 */
{ /* ./Llib/process.scm 177 */
obj_t BgL_procz00_843;
if(
PROCESSP(BgL_procz00_715))
{ /* ./Llib/process.scm 177 */
BgL_procz00_843 = BgL_procz00_715; }  else 
{ /* ./Llib/process.scm 177 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2310z00zz__processz00, BGl_string2290z00zz__processz00, BgL_procz00_715, BGl_string2291z00zz__processz00, 
BINT(((long)7917))); 
exit( -1 );} 
{ /* ./Llib/process.scm 177 */
obj_t BgL_symbol1844z00_844;
BgL_symbol1844z00_844 = BGl_symbol2309z00zz__processz00; 
{ /* ./Llib/process.scm 177 */

PUSH_TRACE(BgL_symbol1844z00_844); BUNSPEC; 
{ /* ./Llib/process.scm 177 */
obj_t BgL_aux1843z00_845;
BgL_aux1843z00_845 = 
c_process_stop(BgL_procz00_843); 
POP_TRACE(); 
return BgL_aux1843z00_845;} } } } } 
}



/* process-continue */
BGL_EXPORTED_DEF obj_t BGl_processzd2continuezd2zz__processz00(obj_t BgL_procz00_13)
{ AN_OBJECT;
{ /* ./Llib/process.scm 182 */
{ /* ./Llib/process.scm 183 */
obj_t BgL_symbol1848z00_846;
BgL_symbol1848z00_846 = BGl_symbol2311z00zz__processz00; 
{ /* ./Llib/process.scm 183 */

PUSH_TRACE(BgL_symbol1848z00_846); BUNSPEC; 
{ /* ./Llib/process.scm 183 */
obj_t BgL_aux1847z00_847;
BgL_aux1847z00_847 = 
c_process_continue(BgL_procz00_13); 
POP_TRACE(); 
return BgL_aux1847z00_847;} } } } 
}



/* _process-continue1901 */
obj_t BGl__processzd2continue1901zd2zz__processz00(obj_t BgL_envz00_716, obj_t BgL_procz00_717)
{ AN_OBJECT;
{ /* ./Llib/process.scm 182 */
{ /* ./Llib/process.scm 183 */
obj_t BgL_procz00_848;
if(
PROCESSP(BgL_procz00_717))
{ /* ./Llib/process.scm 183 */
BgL_procz00_848 = BgL_procz00_717; }  else 
{ /* ./Llib/process.scm 183 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2312z00zz__processz00, BGl_string2290z00zz__processz00, BgL_procz00_717, BGl_string2291z00zz__processz00, 
BINT(((long)8205))); 
exit( -1 );} 
{ /* ./Llib/process.scm 183 */
obj_t BgL_symbol1848z00_849;
BgL_symbol1848z00_849 = BGl_symbol2311z00zz__processz00; 
{ /* ./Llib/process.scm 183 */

PUSH_TRACE(BgL_symbol1848z00_849); BUNSPEC; 
{ /* ./Llib/process.scm 183 */
obj_t BgL_aux1847z00_850;
BgL_aux1847z00_850 = 
c_process_continue(BgL_procz00_848); 
POP_TRACE(); 
return BgL_aux1847z00_850;} } } } } 
}



/* process-list */
BGL_EXPORTED_DEF obj_t BGl_processzd2listzd2zz__processz00()
{ AN_OBJECT;
{ /* ./Llib/process.scm 188 */
{ /* ./Llib/process.scm 189 */
obj_t BgL_symbol1852z00_851;
BgL_symbol1852z00_851 = BGl_symbol2313z00zz__processz00; 
{ /* ./Llib/process.scm 189 */

PUSH_TRACE(BgL_symbol1852z00_851); BUNSPEC; 
{ /* ./Llib/process.scm 189 */
obj_t BgL_aux1851z00_852;
BgL_aux1851z00_852 = 
c_process_list(); 
POP_TRACE(); 
return BgL_aux1851z00_852;} } } } 
}



/* _process-list */
obj_t BGl__processzd2listzd2zz__processz00(obj_t BgL_envz00_718)
{ AN_OBJECT;
{ /* ./Llib/process.scm 188 */
{ /* ./Llib/process.scm 189 */
obj_t BgL_symbol1852z00_853;
BgL_symbol1852z00_853 = BGl_symbol2313z00zz__processz00; 
{ /* ./Llib/process.scm 189 */

PUSH_TRACE(BgL_symbol1852z00_853); BUNSPEC; 
{ /* ./Llib/process.scm 189 */
obj_t BgL_aux1851z00_854;
BgL_aux1851z00_854 = 
c_process_list(); 
POP_TRACE(); 
return BgL_aux1851z00_854;} } } } 
}



/* run-process */
BGL_EXPORTED_DEF obj_t BGl_runzd2processzd2zz__processz00(obj_t BgL_commandz00_14, obj_t BgL_restz00_15)
{ AN_OBJECT;
{ /* ./Llib/process.scm 197 */
{ /* ./Llib/process.scm 198 */
obj_t BgL_symbol1856z00_685;
BgL_symbol1856z00_685 = BGl_symbol2314z00zz__processz00; 
{ /* ./Llib/process.scm 198 */

PUSH_TRACE(BgL_symbol1856z00_685); BUNSPEC; 
{ /* ./Llib/process.scm 198 */
obj_t BgL_aux1855z00_686;
{ /* ./Llib/process.scm 198 */
obj_t BgL_forkz00_365;obj_t BgL_waitz00_366;obj_t BgL_inputz00_367;obj_t BgL_outputz00_368;obj_t BgL_errorz00_369;obj_t BgL_hostz00_370;obj_t BgL_pipesz00_371;obj_t BgL_argsz00_372;obj_t BgL_envz00_373;
BgL_forkz00_365 = BTRUE; 
BgL_waitz00_366 = BFALSE; 
BgL_inputz00_367 = BUNSPEC; 
BgL_outputz00_368 = BUNSPEC; 
BgL_errorz00_369 = BUNSPEC; 
BgL_hostz00_370 = BUNSPEC; 
BgL_pipesz00_371 = BGl_list2315z00zz__processz00; 
BgL_argsz00_372 = BNIL; 
BgL_envz00_373 = BNIL; 
{ 
obj_t BgL_restz00_375;
{ /* ./Llib/process.scm 209 */
obj_t BgL_aux2214z00_772;
BgL_restz00_375 = BgL_restz00_15; 
BgL_loopz00_376:
if(
NULLP(BgL_restz00_375))
{ /* ./Llib/process.scm 211 */
{ /* ./Llib/process.scm 214 */
obj_t BgL_arg1023z00_378;
{ /* ./Llib/process.scm 214 */
obj_t BgL_auxz00_1074;
{ /* ./Llib/process.scm 214 */
obj_t BgL_aux2038z00_750;
BgL_aux2038z00_750 = BgL_argsz00_372; 
{ /* ./Llib/process.scm 214 */
bool_t BgL_testz00_1075;
if(
PAIRP(BgL_aux2038z00_750))
{ /* ./Llib/process.scm 214 */
BgL_testz00_1075 = ((bool_t)1)
; }  else 
{ /* ./Llib/process.scm 214 */
BgL_testz00_1075 = 
NULLP(BgL_aux2038z00_750)
; } 
if(BgL_testz00_1075)
{ /* ./Llib/process.scm 214 */
BgL_auxz00_1074 = BgL_aux2038z00_750
; }  else 
{ /* ./Llib/process.scm 214 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2314z00zz__processz00, BGl_string2317z00zz__processz00, BgL_aux2038z00_750, BGl_string2291z00zz__processz00, 
BINT(((long)9402))); 
exit( -1 );} } } 
BgL_arg1023z00_378 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_1074); } 
BgL_aux2214z00_772 = 
c_run_process(BgL_hostz00_370, BgL_forkz00_365, BgL_waitz00_366, BgL_inputz00_367, BgL_outputz00_368, BgL_errorz00_369, BgL_commandz00_14, BgL_arg1023z00_378, BgL_envz00_373); } }  else 
{ /* ./Llib/process.scm 215 */
bool_t BgL_test1026z00_379;
{ /* ./Llib/process.scm 215 */
bool_t BgL_test1097z00_407;
{ /* ./Llib/process.scm 215 */
obj_t BgL_arg1103z00_409;
{ /* ./Llib/process.scm 215 */
obj_t BgL_pairz00_578;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 215 */
BgL_pairz00_578 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 215 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2314z00zz__processz00, BGl_string2318z00zz__processz00, BgL_restz00_375, BGl_string2291z00zz__processz00, 
BINT(((long)9440))); 
exit( -1 );} 
BgL_arg1103z00_409 = 
CAR(BgL_pairz00_578); } 
BgL_test1097z00_407 = 
KEYWORDP(BgL_arg1103z00_409); } 
if(BgL_test1097z00_407)
{ /* ./Llib/process.scm 215 */
obj_t BgL_arg1099z00_408;
{ /* ./Llib/process.scm 215 */
obj_t BgL_pairz00_580;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 215 */
BgL_pairz00_580 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 215 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2314z00zz__processz00, BGl_string2318z00zz__processz00, BgL_restz00_375, BGl_string2291z00zz__processz00, 
BINT(((long)9459))); 
exit( -1 );} 
BgL_arg1099z00_408 = 
CDR(BgL_pairz00_580); } 
BgL_test1026z00_379 = 
PAIRP(BgL_arg1099z00_408); }  else 
{ /* ./Llib/process.scm 215 */
BgL_test1026z00_379 = ((bool_t)0); } } 
if(BgL_test1026z00_379)
{ /* ./Llib/process.scm 215 */
{ /* ./Llib/process.scm 216 */
obj_t BgL_valz00_380;
{ /* ./Llib/process.scm 216 */
obj_t BgL_pairz00_582;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 216 */
BgL_pairz00_582 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 216 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2314z00zz__processz00, BGl_string2318z00zz__processz00, BgL_restz00_375, BGl_string2291z00zz__processz00, 
BINT(((long)9490))); 
exit( -1 );} 
{ /* ./Llib/process.scm 216 */
obj_t BgL_arg1519z00_583;
BgL_arg1519z00_583 = 
CDR(BgL_pairz00_582); 
{ /* ./Llib/process.scm 216 */
obj_t BgL_pairz00_585;
if(
PAIRP(BgL_arg1519z00_583))
{ /* ./Llib/process.scm 216 */
BgL_pairz00_585 = BgL_arg1519z00_583; }  else 
{ /* ./Llib/process.scm 216 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2314z00zz__processz00, BGl_string2318z00zz__processz00, BgL_arg1519z00_583, BGl_string2291z00zz__processz00, 
BINT(((long)9481))); 
exit( -1 );} 
BgL_valz00_380 = 
CAR(BgL_pairz00_585); } } } 
{ /* ./Llib/process.scm 217 */
obj_t BgL_casezd2valuezd2_381;
{ /* ./Llib/process.scm 217 */
obj_t BgL_pairz00_586;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 217 */
BgL_pairz00_586 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 217 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2314z00zz__processz00, BGl_string2318z00zz__processz00, BgL_restz00_375, BGl_string2291z00zz__processz00, 
BINT(((long)9511))); 
exit( -1 );} 
BgL_casezd2valuezd2_381 = 
CAR(BgL_pairz00_586); } 
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_381, BGl_keyword2319z00zz__processz00))
{ /* ./Llib/process.scm 217 */
if(
BOOLEANP(BgL_valz00_380))
{ /* ./Llib/process.scm 219 */
BgL_waitz00_366 = BgL_valz00_380; }  else 
{ /* ./Llib/process.scm 219 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2320z00zz__processz00, BGl_string2321z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9206)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2291z00zz__processz00, 
BINT(((long)9575))); } }  else 
{ /* ./Llib/process.scm 217 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_381, BGl_keyword2322z00zz__processz00))
{ /* ./Llib/process.scm 217 */
if(
BOOLEANP(BgL_valz00_380))
{ /* ./Llib/process.scm 223 */
BgL_forkz00_365 = BgL_valz00_380; }  else 
{ /* ./Llib/process.scm 223 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2320z00zz__processz00, BGl_string2321z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9206)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2291z00zz__processz00, 
BINT(((long)9655))); } }  else 
{ /* ./Llib/process.scm 217 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_381, BGl_keyword2323z00zz__processz00))
{ /* ./Llib/process.scm 227 */
bool_t BgL_test1036z00_387;
if(
STRINGP(BgL_valz00_380))
{ /* ./Llib/process.scm 227 */
BgL_test1036z00_387 = ((bool_t)1); }  else 
{ /* ./Llib/process.scm 227 */
obj_t BgL_auxz00_1136;
BgL_auxz00_1136 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_380, BgL_pipesz00_371); 
BgL_test1036z00_387 = 
CBOOL(BgL_auxz00_1136); } 
if(BgL_test1036z00_387)
{ /* ./Llib/process.scm 227 */
BgL_inputz00_367 = BgL_valz00_380; }  else 
{ /* ./Llib/process.scm 227 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2320z00zz__processz00, BGl_string2321z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9206)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2291z00zz__processz00, 
BINT(((long)9758))); } }  else 
{ /* ./Llib/process.scm 217 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_381, BGl_keyword2324z00zz__processz00))
{ /* ./Llib/process.scm 231 */
bool_t BgL_test1042z00_390;
if(
STRINGP(BgL_valz00_380))
{ /* ./Llib/process.scm 231 */
BgL_test1042z00_390 = ((bool_t)1); }  else 
{ /* ./Llib/process.scm 231 */
bool_t BgL_testz00_1147;
{ /* ./Llib/process.scm 231 */
obj_t BgL_auxz00_1148;
BgL_auxz00_1148 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_380, BgL_pipesz00_371); 
BgL_testz00_1147 = 
CBOOL(BgL_auxz00_1148); } 
if(BgL_testz00_1147)
{ /* ./Llib/process.scm 231 */
BgL_test1042z00_390 = ((bool_t)1); }  else 
{ /* ./Llib/process.scm 231 */
BgL_test1042z00_390 = 
(BgL_valz00_380==BGl_keyword2325z00zz__processz00); } } 
if(BgL_test1042z00_390)
{ /* ./Llib/process.scm 231 */
BgL_outputz00_368 = BgL_valz00_380; }  else 
{ /* ./Llib/process.scm 231 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2320z00zz__processz00, BGl_string2321z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9206)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2291z00zz__processz00, 
BINT(((long)9879))); } }  else 
{ /* ./Llib/process.scm 217 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_381, BGl_keyword2326z00zz__processz00))
{ /* ./Llib/process.scm 235 */
bool_t BgL_test1050z00_394;
if(
STRINGP(BgL_valz00_380))
{ /* ./Llib/process.scm 235 */
BgL_test1050z00_394 = ((bool_t)1); }  else 
{ /* ./Llib/process.scm 235 */
bool_t BgL_testz00_1160;
{ /* ./Llib/process.scm 235 */
obj_t BgL_auxz00_1161;
BgL_auxz00_1161 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_380, BgL_pipesz00_371); 
BgL_testz00_1160 = 
CBOOL(BgL_auxz00_1161); } 
if(BgL_testz00_1160)
{ /* ./Llib/process.scm 235 */
BgL_test1050z00_394 = ((bool_t)1); }  else 
{ /* ./Llib/process.scm 235 */
BgL_test1050z00_394 = 
(BgL_valz00_380==BGl_keyword2325z00zz__processz00); } } 
if(BgL_test1050z00_394)
{ /* ./Llib/process.scm 235 */
BgL_errorz00_369 = BgL_valz00_380; }  else 
{ /* ./Llib/process.scm 235 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2320z00zz__processz00, BGl_string2321z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9206)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2291z00zz__processz00, 
BINT(((long)9998))); } }  else 
{ /* ./Llib/process.scm 217 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_381, BGl_keyword2327z00zz__processz00))
{ /* ./Llib/process.scm 217 */
if(
STRINGP(BgL_valz00_380))
{ /* ./Llib/process.scm 239 */
BgL_hostz00_370 = BgL_valz00_380; }  else 
{ /* ./Llib/process.scm 239 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2320z00zz__processz00, BGl_string2321z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9206)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2291z00zz__processz00, 
BINT(((long)10077))); } }  else 
{ /* ./Llib/process.scm 217 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_381, BGl_keyword2328z00zz__processz00))
{ /* ./Llib/process.scm 217 */
if(
STRINGP(BgL_valz00_380))
{ /* ./Llib/process.scm 243 */
BgL_envz00_373 = 
MAKE_PAIR(BgL_valz00_380, BgL_envz00_373); }  else 
{ /* ./Llib/process.scm 243 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2320z00zz__processz00, BGl_string2321z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9206)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2291z00zz__processz00, 
BINT(((long)10165))); } }  else 
{ /* ./Llib/process.scm 217 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2320z00zz__processz00, BGl_string2321z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9206)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2291z00zz__processz00, 
BINT(((long)10201))); } } } } } } } } 
{ /* ./Llib/process.scm 248 */
obj_t BgL_arg1076z00_401;
{ /* ./Llib/process.scm 248 */
obj_t BgL_arg1079z00_402;
{ /* ./Llib/process.scm 248 */
obj_t BgL_pairz00_626;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 248 */
BgL_pairz00_626 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 248 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2314z00zz__processz00, BGl_string2318z00zz__processz00, BgL_restz00_375, BGl_string2291z00zz__processz00, 
BINT(((long)10241))); 
exit( -1 );} 
BgL_arg1079z00_402 = 
CDR(BgL_pairz00_626); } 
{ /* ./Llib/process.scm 248 */
obj_t BgL_pairz00_627;
if(
PAIRP(BgL_arg1079z00_402))
{ /* ./Llib/process.scm 248 */
BgL_pairz00_627 = BgL_arg1079z00_402; }  else 
{ /* ./Llib/process.scm 248 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2314z00zz__processz00, BGl_string2318z00zz__processz00, BgL_arg1079z00_402, BGl_string2291z00zz__processz00, 
BINT(((long)10242))); 
exit( -1 );} 
BgL_arg1076z00_401 = 
CDR(BgL_pairz00_627); } } 
{ 
obj_t BgL_restz00_1199;
BgL_restz00_1199 = BgL_arg1076z00_401; 
BgL_restz00_375 = BgL_restz00_1199; 
goto BgL_loopz00_376;} } } }  else 
{ /* ./Llib/process.scm 249 */
bool_t BgL_test1083z00_403;
{ /* ./Llib/process.scm 249 */
obj_t BgL_arg1094z00_406;
{ /* ./Llib/process.scm 249 */
obj_t BgL_pairz00_628;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 249 */
BgL_pairz00_628 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 249 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2314z00zz__processz00, BGl_string2318z00zz__processz00, BgL_restz00_375, BGl_string2291z00zz__processz00, 
BINT(((long)10271))); 
exit( -1 );} 
BgL_arg1094z00_406 = 
CAR(BgL_pairz00_628); } 
BgL_test1083z00_403 = 
STRINGP(BgL_arg1094z00_406); } 
if(BgL_test1083z00_403)
{ /* ./Llib/process.scm 249 */
{ /* ./Llib/process.scm 250 */
obj_t BgL_arg1085z00_404;
{ /* ./Llib/process.scm 250 */
obj_t BgL_pairz00_630;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 250 */
BgL_pairz00_630 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 250 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2314z00zz__processz00, BGl_string2318z00zz__processz00, BgL_restz00_375, BGl_string2291z00zz__processz00, 
BINT(((long)10306))); 
exit( -1 );} 
BgL_arg1085z00_404 = 
CAR(BgL_pairz00_630); } 
BgL_argsz00_372 = 
MAKE_PAIR(BgL_arg1085z00_404, BgL_argsz00_372); } 
{ /* ./Llib/process.scm 251 */
obj_t BgL_arg1089z00_405;
{ /* ./Llib/process.scm 251 */
obj_t BgL_pairz00_631;
if(
PAIRP(BgL_restz00_375))
{ /* ./Llib/process.scm 251 */
BgL_pairz00_631 = BgL_restz00_375; }  else 
{ /* ./Llib/process.scm 251 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2314z00zz__processz00, BGl_string2318z00zz__processz00, BgL_restz00_375, BGl_string2291z00zz__processz00, 
BINT(((long)10336))); 
exit( -1 );} 
BgL_arg1089z00_405 = 
CDR(BgL_pairz00_631); } 
{ 
obj_t BgL_restz00_1221;
BgL_restz00_1221 = BgL_arg1089z00_405; 
BgL_restz00_375 = BgL_restz00_1221; 
goto BgL_loopz00_376;} } }  else 
{ /* ./Llib/process.scm 249 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2320z00zz__processz00, BGl_string2321z00zz__processz00, BgL_restz00_375, "./Llib/process.scm", ((long)9206)); 
BgL_aux2214z00_772 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2291z00zz__processz00, 
BINT(((long)10358))); } } } 
if(
PROCESSP(BgL_aux2214z00_772))
{ /* ./Llib/process.scm 209 */
BgL_aux1855z00_686 = BgL_aux2214z00_772; }  else 
{ /* ./Llib/process.scm 209 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2314z00zz__processz00, BGl_string2290z00zz__processz00, BgL_aux2214z00_772, BGl_string2291z00zz__processz00, 
BINT(((long)9261))); 
exit( -1 );} } } } 
POP_TRACE(); 
return BgL_aux1855z00_686;} } } } 
}



/* _run-process1904 */
obj_t BGl__runzd2process1904zd2zz__processz00(obj_t BgL_envz00_719, obj_t BgL_commandz00_720, obj_t BgL_restz00_721)
{ AN_OBJECT;
{ /* ./Llib/process.scm 197 */
{ /* ./Llib/process.scm 198 */
obj_t BgL_auxz00_1231;
if(
STRINGP(BgL_commandz00_720))
{ /* ./Llib/process.scm 198 */
BgL_auxz00_1231 = BgL_commandz00_720
; }  else 
{ /* ./Llib/process.scm 198 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2329z00zz__processz00, BGl_string2330z00zz__processz00, BgL_commandz00_720, BGl_string2291z00zz__processz00, 
BINT(((long)8991))); 
exit( -1 );} 
return 
BGl_runzd2processzd2zz__processz00(BgL_auxz00_1231, BgL_restz00_721);} } 
}



/* close-process-ports */
BGL_EXPORTED_DEF obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t BgL_procz00_16)
{ AN_OBJECT;
{ /* ./Llib/process.scm 258 */
{ /* ./Llib/process.scm 259 */
obj_t BgL_symbol1860z00_687;
BgL_symbol1860z00_687 = BGl_symbol2331z00zz__processz00; 
{ /* ./Llib/process.scm 259 */

PUSH_TRACE(BgL_symbol1860z00_687); BUNSPEC; 
{ /* ./Llib/process.scm 259 */
obj_t BgL_aux1859z00_688;
{ /* ./Llib/process.scm 259 */
bool_t BgL_testz00_1239;
{ /* ./Llib/process.scm 259 */
obj_t BgL_auxz00_1240;
BgL_auxz00_1240 = 
PROCESS_INPUT_PORT(BgL_procz00_16); 
BgL_testz00_1239 = 
OUTPUT_PORTP(BgL_auxz00_1240); } 
if(BgL_testz00_1239)
{ /* ./Llib/process.scm 260 */
obj_t BgL_arg1112z00_414;
BgL_arg1112z00_414 = 
PROCESS_INPUT_PORT(BgL_procz00_16); 
{ /* ./Llib/process.scm 260 */
obj_t BgL_portz00_642;
if(
OUTPUT_PORTP(BgL_arg1112z00_414))
{ /* ./Llib/process.scm 260 */
BgL_portz00_642 = BgL_arg1112z00_414; }  else 
{ /* ./Llib/process.scm 260 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2331z00zz__processz00, BGl_string2332z00zz__processz00, BgL_arg1112z00_414, BGl_string2291z00zz__processz00, 
BINT(((long)10736))); 
exit( -1 );} 
close_output_port(BgL_portz00_642); } }  else 
{ /* ./Llib/process.scm 259 */BFALSE; } } 
{ /* ./Llib/process.scm 261 */
bool_t BgL_testz00_1250;
{ /* ./Llib/process.scm 261 */
obj_t BgL_auxz00_1251;
BgL_auxz00_1251 = 
PROCESS_ERROR_PORT(BgL_procz00_16); 
BgL_testz00_1250 = 
INPUT_PORTP(BgL_auxz00_1251); } 
if(BgL_testz00_1250)
{ /* ./Llib/process.scm 262 */
obj_t BgL_arg1122z00_417;
BgL_arg1122z00_417 = 
PROCESS_INPUT_PORT(BgL_procz00_16); 
{ /* ./Llib/process.scm 262 */
obj_t BgL_portz00_646;
if(
INPUT_PORTP(BgL_arg1122z00_417))
{ /* ./Llib/process.scm 262 */
BgL_portz00_646 = BgL_arg1122z00_417; }  else 
{ /* ./Llib/process.scm 262 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2331z00zz__processz00, BGl_string2333z00zz__processz00, BgL_arg1122z00_417, BGl_string2291z00zz__processz00, 
BINT(((long)10836))); 
exit( -1 );} 
close_input_port(BgL_portz00_646); } }  else 
{ /* ./Llib/process.scm 261 */BFALSE; } } 
{ /* ./Llib/process.scm 263 */
bool_t BgL_testz00_1261;
{ /* ./Llib/process.scm 263 */
obj_t BgL_auxz00_1262;
BgL_auxz00_1262 = 
PROCESS_OUTPUT_PORT(BgL_procz00_16); 
BgL_testz00_1261 = 
INPUT_PORTP(BgL_auxz00_1262); } 
if(BgL_testz00_1261)
{ /* ./Llib/process.scm 264 */
obj_t BgL_arg1131z00_420;
BgL_arg1131z00_420 = 
PROCESS_OUTPUT_PORT(BgL_procz00_16); 
{ /* ./Llib/process.scm 264 */
obj_t BgL_portz00_650;
if(
INPUT_PORTP(BgL_arg1131z00_420))
{ /* ./Llib/process.scm 264 */
BgL_portz00_650 = BgL_arg1131z00_420; }  else 
{ /* ./Llib/process.scm 264 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2331z00zz__processz00, BGl_string2333z00zz__processz00, BgL_arg1131z00_420, BGl_string2291z00zz__processz00, 
BINT(((long)10938))); 
exit( -1 );} 
BgL_aux1859z00_688 = 
close_input_port(BgL_portz00_650); } }  else 
{ /* ./Llib/process.scm 263 */
BgL_aux1859z00_688 = BFALSE; } } 
POP_TRACE(); 
return BgL_aux1859z00_688;} } } } 
}



/* _close-process-ports1906 */
obj_t BGl__closezd2processzd2ports1906z00zz__processz00(obj_t BgL_envz00_722, obj_t BgL_procz00_723)
{ AN_OBJECT;
{ /* ./Llib/process.scm 258 */
{ /* ./Llib/process.scm 259 */
obj_t BgL_auxz00_1273;
if(
PROCESSP(BgL_procz00_723))
{ /* ./Llib/process.scm 259 */
BgL_auxz00_1273 = BgL_procz00_723
; }  else 
{ /* ./Llib/process.scm 259 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2334z00zz__processz00, BGl_string2290z00zz__processz00, BgL_procz00_723, BGl_string2291z00zz__processz00, 
BINT(((long)10641))); 
exit( -1 );} 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_auxz00_1273);} } 
}



/* unregister-process */
BGL_EXPORTED_DEF obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t BgL_procz00_17)
{ AN_OBJECT;
{ /* ./Llib/process.scm 269 */
{ /* ./Llib/process.scm 270 */
obj_t BgL_symbol1864z00_860;
BgL_symbol1864z00_860 = BGl_symbol2335z00zz__processz00; 
{ /* ./Llib/process.scm 270 */

PUSH_TRACE(BgL_symbol1864z00_860); BUNSPEC; 
{ /* ./Llib/process.scm 270 */
obj_t BgL_aux1863z00_861;
BgL_aux1863z00_861 = 
c_unregister_process(BgL_procz00_17); 
POP_TRACE(); 
return BgL_aux1863z00_861;} } } } 
}



/* _unregister-process1908 */
obj_t BGl__unregisterzd2process1908zd2zz__processz00(obj_t BgL_envz00_724, obj_t BgL_procz00_725)
{ AN_OBJECT;
{ /* ./Llib/process.scm 269 */
{ /* ./Llib/process.scm 270 */
obj_t BgL_procz00_862;
if(
PROCESSP(BgL_procz00_725))
{ /* ./Llib/process.scm 270 */
BgL_procz00_862 = BgL_procz00_725; }  else 
{ /* ./Llib/process.scm 270 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2336z00zz__processz00, BGl_string2290z00zz__processz00, BgL_procz00_725, BGl_string2291z00zz__processz00, 
BINT(((long)11210))); 
exit( -1 );} 
{ /* ./Llib/process.scm 270 */
obj_t BgL_symbol1864z00_863;
BgL_symbol1864z00_863 = BGl_symbol2335z00zz__processz00; 
{ /* ./Llib/process.scm 270 */

PUSH_TRACE(BgL_symbol1864z00_863); BUNSPEC; 
{ /* ./Llib/process.scm 270 */
obj_t BgL_aux1863z00_864;
BgL_aux1863z00_864 = 
c_unregister_process(BgL_procz00_862); 
POP_TRACE(); 
return BgL_aux1863z00_864;} } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__processz00()
{ AN_OBJECT;
{ /* ./Llib/process.scm 15 */
{ /* ./Llib/process.scm 15 */
obj_t BgL_symbol1868z00_691;
BgL_symbol1868z00_691 = BGl_symbol2337z00zz__processz00; 
{ /* ./Llib/process.scm 15 */

PUSH_TRACE(BgL_symbol1868z00_691); BUNSPEC; 
{ /* ./Llib/process.scm 15 */
obj_t BgL_aux1867z00_692;
BgL_aux1867z00_692 = 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__process"); 
POP_TRACE(); 
return BgL_aux1867z00_692;} } } } 
}

